V1 and V2Products (V2 beta)
Link a variant to a product
Link an existing product as a variant of another product
variant_id will become a Variant of product_id
-
Product can be a Single product or a Parent product
-
Variant must be a Single product
Both product and variant must belong to the same Family or be Unassigned.
It will return a 204 NO CONTENT upon success.
⚠️ The result of this operation may cause data loss
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Path Parameters
product_id*string
variant_id*string
Response Body
application/json
application/json
curl -X POST 'https://example.com/api/v2/products/string/variant/string'{}